import akka.actor.TypedActor;

public class DroneImpl extends TypedActor implements Drone {

  private final Counter counter;

  public DroneImpl(final Counter counter) {
    this.counter = counter;
  }

  public void go() {
    for (int i = 0; i < 5; i++) {
      counter.increment(1);
    }
  }

}
